module Text.XML.HaXmlAliases
    where

import Text.XML.HaXml.Types
import Text.XML.HaXml.Parse

-- | Parses a XML file into HaXml 'Document' type.
parseXml :: String -> String -> Either String Document
parseXml = xmlParse'

-- | Parses a XML DTD into Haxml 'DocTypeDecl' type.
parseDtd :: String -> String -> Either String (Maybe DocTypeDecl)
parseDtd = dtdParse'
